{
  "compilerOptions": {
    "baseUrl": ".",
    "outDir": "./dist",
    "sourceMap": true,
    "target": "es2016",
    "newLine": "LF",
    "useDefineForClassFields": false,
    "module": "esnext",
    "moduleResolution": "bundler",
    "allowJs": false,
    "strict": true,
    "noUnusedLocals": true,
    "experimentalDecorators": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "removeComments": false,
    "declaration": true,
    "jsx": "preserve",
    "lib": ["esnext", "dom"],
    // "types": ["vitest/globals", "puppeteer", "node"],
    "rootDir": ".",
    "paths": {
      "@/*": [
        "src/*",
        "src/type/*"
      ]
    }
  },
  "include": [
    "src/**/*.ts"
  ],
  "exclude": [
    "node_modules",
    "dist"
  ]
}
